| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
StatusMask Class Reference

StatusMask is a bitmap or bitset field. More...

`#include <StatusMask.hpp>`

Inheritance diagram for StatusMask:
[legend]

## Public Types

typedef std::bitset< FASTDDS_STATUS_COUNT > | MaskType
| Convenience typedef for std::bitset<FASTDDS_STATUS_COUNT>.

## Public Member Functions

| StatusMask ()
| Construct an StatusMask with no flags set.
| StatusMask (uint32_t mask)
| Construct an StatusMask with an uint32_t bit mask.
StatusMask & | operator<< (const StatusMask &mask)
| Add given StatusMask bits into this StatusMask bitset.
StatusMask & | operator>> (const StatusMask &mask)
| Remove given StatusMask bits into this StatusMask bitset.
bool | is_active (StatusMask status) const
| Checks if the status passed as parameter is 1 in the actual StatusMask.

## Static Public Member Functions

static StatusMask | all ()
| Get all StatusMasks.
static StatusMask | none ()
| Get no StatusMasks.
static StatusMask | inconsistent_topic ()
| Get the StatusMask associated with dds::core::status::InconsistentTopicStatus.
static StatusMask | offered_deadline_missed ()
| Get the StatusMask associated with dds::core::status::OfferedDeadlineMissedStatus.
static StatusMask | requested_deadline_missed ()
| Get the StatusMask associated with dds::core::status::RequestedDeadlineMissedStatus.
static StatusMask | offered_incompatible_qos ()
| Get the StatusMask associated with dds::core::status::OfferedIncompatibleQosStatus.
static StatusMask | requested_incompatible_qos ()
| Get the StatusMask associated with dds::core::status::RequestedIncompatibleQosStatus.
static StatusMask | sample_lost ()
| Get the StatusMask associated with dds::core::status::SampleLostStatus.
static StatusMask | sample_rejected ()
| Get the StatusMask associated with dds::core::status::SampleRejectedStatus.
static StatusMask | data_on_readers ()
| Get the StatusMask associated with dds::core::status::data_on_readers.
static StatusMask | data_available ()
| get the statusmask associated with dds::core::status::data_available
static StatusMask | liveliness_lost ()
| Get the StatusMask associated with dds::core::status::LivelinessLostStatus.
static StatusMask | liveliness_changed ()
| Get the StatusMask associated with dds::core::status::LivelinessChangedStatus.
static StatusMask | publication_matched ()
| Get the statusmask associated with dds::core::status::PublicationMatchedStatus.
static StatusMask | subscription_matched ()
| Get the statusmask associated with dds::core::status::SubscriptionMatchedStatus.

## Detailed Description

StatusMask is a bitmap or bitset field.

This bitset is used to:

- determine which listener functions to call
- set conditions in dds::core::cond::StatusCondition
- indicate status changes when calling dds::core::Entity::status_changes

## Member Typedef Documentation

## ◆ MaskType

typedef std::bitset<FASTDDS_STATUS_COUNT> MaskType

Convenience typedef for std::bitset<FASTDDS_STATUS_COUNT>.

## Constructor & Destructor Documentation

## ◆ StatusMask() [1/2]

StatusMask | ( |  | ) |

inline

Construct an StatusMask with no flags set.

## ◆ StatusMask() [2/2]

StatusMask | ( | uint32_t | mask | ) |

inline explicit

Construct an StatusMask with an uint32_t bit mask.

Parameters

  mask | the bit array to initialize the bitset with

## Member Function Documentation

## ◆ all()

StatusMask all | ( |  | ) |

inline static

Get all StatusMasks.

Returns
  StatusMask all

## ◆ data_available()

StatusMask data_available | ( |  | ) |

inline static

get the statusmask associated with dds::core::status::data_available

Returns
  statusmask data_available

## ◆ data_on_readers()

StatusMask data_on_readers | ( |  | ) |

inline static

Get the StatusMask associated with dds::core::status::data_on_readers.

Returns
  StatusMask data_on_readers

## ◆ inconsistent_topic()

StatusMask inconsistent_topic | ( |  | ) |

inline static

Get the StatusMask associated with dds::core::status::InconsistentTopicStatus.

Returns
  StatusMask inconsistent_topic

## ◆ is_active()

bool is_active | ( | StatusMask | status | ) | const

inline

Checks if the status passed as parameter is 1 in the actual StatusMask.

Parameters

  status | Status that need to be checked

Returns
  true if the status is active and false if not

## ◆ liveliness_changed()

StatusMask liveliness_changed | ( |  | ) |

inline static

Get the StatusMask associated with dds::core::status::LivelinessChangedStatus.

Returns
  StatusMask liveliness_changed

## ◆ liveliness_lost()

StatusMask liveliness_lost | ( |  | ) |

inline static

Get the StatusMask associated with dds::core::status::LivelinessLostStatus.

Returns
  StatusMask liveliness_lost

## ◆ none()

StatusMask none | ( |  | ) |

inline static

Get no StatusMasks.

Returns
  StatusMask none

## ◆ offered_deadline_missed()

StatusMask offered_deadline_missed | ( |  | ) |

inline static

Get the StatusMask associated with dds::core::status::OfferedDeadlineMissedStatus.

Returns
  StatusMask offered_deadline_missed

## ◆ offered_incompatible_qos()

StatusMask offered_incompatible_qos | ( |  | ) |

inline static

Get the StatusMask associated with dds::core::status::OfferedIncompatibleQosStatus.

Returns
  StatusMask offered_incompatible_qos

## ◆ operator<<()

StatusMask & operator<< | ( | const StatusMask & | mask | ) |

inline

Add given StatusMask bits into this StatusMask bitset.

Returns
  StatusMask this

## ◆ operator>>()

StatusMask & operator>> | ( | const StatusMask & | mask | ) |

inline

Remove given StatusMask bits into this StatusMask bitset.

Returns
  StatusMask this

## ◆ publication_matched()

StatusMask publication_matched | ( |  | ) |

inline static

Get the statusmask associated with dds::core::status::PublicationMatchedStatus.

Returns
  StatusMask publication_matched

## ◆ requested_deadline_missed()

StatusMask requested_deadline_missed | ( |  | ) |

inline static

Get the StatusMask associated with dds::core::status::RequestedDeadlineMissedStatus.

Returns
  StatusMask requested_deadline_missed

## ◆ requested_incompatible_qos()

StatusMask requested_incompatible_qos | ( |  | ) |

inline static

Get the StatusMask associated with dds::core::status::RequestedIncompatibleQosStatus.

Returns
  StatusMask requested_incompatible_qos

## ◆ sample_lost()

StatusMask sample_lost | ( |  | ) |

inline static

Get the StatusMask associated with dds::core::status::SampleLostStatus.

Returns
  StatusMask sample_lost

## ◆ sample_rejected()

StatusMask sample_rejected | ( |  | ) |

inline static

Get the StatusMask associated with dds::core::status::SampleRejectedStatus.

Returns
  StatusMask sample_rejected

## ◆ subscription_matched()

StatusMask subscription_matched | ( |  | ) |

inline static

Get the statusmask associated with dds::core::status::SubscriptionMatchedStatus.

Returns
  StatusMask subscription_matched

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/status/StatusMask.hpp